Release Date

18th June 2021.

Overview

Due to a vulnerability in the Go `archive/zip` package, an authenticated Aware user with the permission to Add/Edit appliances could craft an API request which would cause an interruption of the video recording on Ava Aware.

Affected Products

  • Ava Aware:
    • All Stable upgrade channel versions before 3.7.4.
    • All Beta upgrade channel versions before 3.8.1.

Unaffected Products

  • Ava Aware:
    • All Stable upgrade channel versions after and including 3.7.4.
    • All Beta upgrade channel versions after and including 3.8.1.
  • Ava Cameras: all versions.
  • Ava Cloud: all versions.

Resolution

This issue has been fixed in Ava Aware Beta upgrade channel version 3.8.1 and Stable upgrade channel version 3.7.4.

It is strongly recommended that all installations running an affected version are upgraded to the latest release as soon as possible. Releases are available to download through the Ava Aware User Interface.

Vulnerability Information

Mitigations

There are no known mitigations for this issue.

Work arounds

There are no known work arounds for this issue.

Acknowledgements

Issue found by the OSS-Fuzz project, and reported to The Go Team by Emmanuel Odeke.

Disclosure Timeline

  • 18/05/2021 Issue found by Emmanuel Odeke
  • 09/06/2021 Patched Ava Aware (Beta upgrade channel) released
  • 09/06/2021 Preliminary vulnerability advisory published
  • 10/06/2021 Patched Ava Aware (Stable upgrade channel) released
  • 17/06/2021 Vulnerability publicly disclosed